> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a registration

> Retrieves the registration identified by the `id` path parameter.



## OpenAPI

````yaml get /register/registrations/{id}
openapi: 3.0.3
info:
  title: Onboarding API
  version: '1.0'
  license:
    name: Proprietary
    url: https://qonto.com/terms
servers:
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox
  - url: https://onboarding-partners.qonto.com
    description: Production
security:
  - apiKey: []
    qontoPartnerId: []
tags:
  - name: Registrations
    description: Endpoints for Registration resource
  - name: Files
    description: Endpoints for file management throughout the company creation process.
  - name: Webhooks
    description: Endpoints to configure webhook to be notified about registration progress.
paths:
  /register/registrations/{id}:
    get:
      tags:
        - Registrations
      summary: Retrieve a registration
      description: Retrieves the registration identified by the `id` path parameter.
      operationId: registrations/get
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: id
          in: path
          required: true
          description: id of the Registration resource
          schema:
            type: string
            format: uuid
          example: 63647ae1-eeb0-4294-9bf0-65e1d9d0db66
      responses:
        '200':
          description: Returns the registration identified by the `id` path parameter.
          content:
            application/json:
              schema:
                type: object
                properties:
                  registration:
                    $ref: '#/components/schemas/registration'
        '400':
          $ref: '#/components/responses/400-bad-request'
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '404':
          $ref: '#/components/responses/404-not-found'
        '500':
          $ref: '#/components/responses/500-internal-servor-error'
      security:
        - apiKey: []
          qontoPartnerId: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    registration:
      title: Registration
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          example: a584b060-8c96-488d-8bbb-74f0d3d2803c
        legal_flow:
          type: string
          description: |
            Identifies the type of registration process:
              - `company_creation`: Initiates a new company registration.
              - `existing_company`: Registers an existing company.
              - `qonto_invoicing`: Onboards a company through the Qonto Invoicing flow.
          default: company_creation
          enum:
            - company_creation
            - existing_company
            - qonto_invoicing
        flow:
          readOnly: true
          type: object
          properties:
            type:
              type: string
              description: >
                Describe the flow this registration is eligible into.


                Available statuses:

                - manual: User will have to supply all information

                - seamless: User won't be asked whatever has been provided from
                the registration partner
              enum:
                - manual
                - seamless
              example: seamless
            breakdown:
              description: Only available for `manual` flows
              nullable: true
              type: array
              items:
                type: object
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  source:
                    type: object
                    properties:
                      pointer:
                        type: string
          required:
            - type
            - breakdown
        status:
          type: string
          description: >
            Whether this registration process if finished or not. This will be
            "pending" by default.
          enum:
            - created
            - pending
            - user_started
            - price_plan_selected
            - contract_signed
            - submitted
            - capital_deposit_activated
            - capital_deposit_request_signed
            - capital_deposit_certificate_signed
            - completed
          readOnly: true
          example: pending
        redirection_link:
          type: string
          description: >
            A unique link associated to the specific user, where they can start
            their journey to create an account at Qonto.


            In Sandbox, this link points to a Sandbox-only domain that is
            protected by our internal OneLogin gate. Before opening it in a
            browser, follow the browser bypass described in [Accessing the
            Sandbox environment](/get-started/general/sandbox-access). In
            Production, the link is publicly accessible.
          readOnly: true
          example: https://xyz.qonto.com/registrations/ID
        partner_redirect_url:
          type: string
          description: >
            The URL where the user will be redirected after the registration
            process is completed. 

            If not provided, then the user will be redirected to Qonto's
            application.


            Note: this parameter is allowed only for embed applications.
          example: https://example.com/users/123456/dashboard
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T12:31:32.689Z'
        updated_at:
          type: string
          format: date-time
          readOnly: true
          example: '2021-08-17T14:00:00.689Z'
        locale:
          type: string
          description: >
            Only a subset is supported from [IETF Language
            Tags](https://en.wikipedia.org/wiki/IETF_language_tag)
          enum:
            - en
            - fr
            - it
            - de
            - es
            - pt
          example: fr
        partner_user:
          type: object
          description: Describes the user that owns the flow on the partner side.
          properties:
            first_name:
              nullable: true
              type: string
              example: John
            last_name:
              nullable: true
              type: string
              example: Doe
            email:
              nullable: true
              type: string
              description: >-
                It should match this regex
                `/\A[\x21-\x39\x41-\x7E]+@[\x21-\x39\x41-\x7E]+\.[\x21-\x39\x41-\x7E]+\z/`
              example: example-partner-user@qonto.com
          required:
            - first_name
            - last_name
            - email
        organization:
          $ref: '#/components/schemas/organization'
        stakeholders:
          type: array
          items:
            $ref: '#/components/schemas/stakeholder'
      required:
        - locale
        - partner_user
        - organization
        - stakeholders
    organization:
      title: Organization
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        entity_type:
          type: string
          description: Organization type
          nullable: false
          enum:
            - freelancer
            - company
          example: company
          default: company
        legal_name:
          nullable: true
          type: string
          example: Qonto
        legal_form:
          nullable: true
          type: string
          enum:
            - SAS
            - SASU
            - SARL
            - EURL
            - SELARL
            - SNC
            - SCI
            - Autre société civile
          description: |
            Legal form can be one of the following ones:

            For FR:
              * SAS - Société par action simplifiée
              * SASU - Société par action simplifiée unipersonnelle
              * SARL - Société à responsabilité limitée
              * EURL - Entreprise unipersonnelle à responsabilité limitée
              * SELARL - Société d'exercice libéral à responsabilité limitée
              * SNC - Société en nom collectif
              * SCI - Société civile immobilière
              * Autre société civile
          example: SAS
        legal_number:
          nullable: true
          type: string
          description: Registration number of the organization
        legal_sector:
          nullable: true
          type: string
          description: >-
            [NACE
            code](https://ec.europa.eu/competition/elojade/isef/index.cfm?fuseaction=tree_nace&form_name=dsp_form&pickup_field=nace_code&pickup_field_id=nace_code_id&myLabel=PICKUP_nace_code_myLabel&show_all=0)
            of organization
          example: K.64.11
        legal_registration_date:
          nullable: true
          type: string
          format: date
          description: Foundation date of organization
        legal_vat_number:
          nullable: true
          type: string
          description: >
            VAT identification number, used only when `registration.legal_flow
            == 'existing_company'`


            When provided and legal country is DE it should match this regex
            `/\ADE\d{9}\z/`
        address:
          type: object
          properties:
            line_1:
              nullable: true
              type: string
              example: Rue La Fayette 20B
            line_2:
              nullable: true
              type: string
              example: Room 5
            postal_code:
              nullable: true
              type: string
              example: '75009'
            city:
              nullable: true
              type: string
              example: Paris
            country:
              nullable: true
              type: string
              description: >
                ISO country code


                Supported countries for `registration.legal_flow:
                company_creation`:
                  * FR

                Supported countries for `registration.legal_flow:
                existing_company`:
                  * DE
              example: FR
          required:
            - line_1
            - postal_code
            - city
            - country
        total_capital_amount:
          type: object
          properties:
            value:
              nullable: false
              type: string
              description: >-
                The total capital amount for this organization. Cannot be null
                or zero.
              example: '1023.43'
            currency:
              nullable: false
              type: string
              enum:
                - EUR
              example: EUR
          required:
            - value
            - currency
      required:
        - legal_name
        - legal_form
        - address
        - total_capital_amount
    stakeholder:
      title: Stakeholder
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        capital_amount:
          type: object
          properties:
            value:
              nullable: false
              type: string
              description: >
                The capital amount for this stakeholder.

                A stakeholder will be defined as a Ultimate Beneficial Owner for
                contributions over 25% of the total contibution amount.

                Note that this value cannot be null. It can be 0 if this
                stakeholder is not a physical shareholder, but a legal
                representative only. They must have legal entities in this case.
              example: '1023.43'
            currency:
              nullable: false
              type: string
              enum:
                - EUR
              example: EUR
          required:
            - value
            - currency
        is_owner:
          nullable: true
          type: boolean
          description: >
            Mark the stakeholder as the owner of the Qonto Account.

            An organization can have exactly one owner.

            The Account owner is the sole person responsible for opening the
            account and can close it at any time
          example: true
        first_name:
          nullable: true
          type: string
          example: Leeroy
        last_name:
          nullable: true
          type: string
          example: Jenkins
        email:
          nullable: true
          type: string
          description: >-
            The stakeholder's email. Should be present for all. It should match
            this regex
            `/\A[\x21-\x39\x41-\x7E]+@[\x21-\x39\x41-\x7E]+\.[\x21-\x39\x41-\x7E]+\z/`
          example: leeroy.jenkins@qonto.com
        gender:
          nullable: true
          type: string
          enum:
            - male
            - female
            - other
          example: male
        phone_number:
          nullable: true
          type: string
          description: >
            The stakeholder's phone number. Should be present for owners.


            The supported format is: exit code + country code + national
            subscriber number.


            The exit code in the majority of countries is "00", you can use also
            "+".


            The phone number can include a whitespace after the country code.


            Examples:


            +33 123456789


            0033 123456789


            +33123456789


            0033123456789
          example: '0033123456789'
        nationality:
          nullable: true
          type: string
          description: ISO country code
          example: FR
        birth_date:
          nullable: true
          type: string
          format: date-time
          example: '2021-08-17T12:31:32.689Z'
          description: |
            The stakeholder's birth date.

            When present it should be between today and 150 years ago
        birth_address:
          type: object
          properties:
            postal_code:
              nullable: true
              type: string
              example: '75009'
              description: required to have a value only if country=FR
            city:
              nullable: true
              type: string
              example: Paris
            country:
              nullable: true
              type: string
              description: ISO country code
              example: FR
          required:
            - postal_code
            - city
            - country
        residence_address:
          type: object
          properties:
            line_1:
              nullable: true
              type: string
              example: Rue La Fayette 20B
            postal_code:
              nullable: true
              type: string
              example: '75009'
            city:
              nullable: true
              type: string
              example: Paris
            country:
              nullable: true
              type: string
              description: ISO country code
              example: FR
          required:
            - line_1
            - postal_code
            - city
            - country
        shareholding_type:
          nullable: true
          type: string
          enum:
            - physical
          description: >-
            Use `physical` only if the stakeholder is a physical shareholder.
            Use `null` or don't provide this field if the stakeholder is not a
            physical shareholder, but a legal representative of one or more
            legal entities.
          example: physical
        share_capital_origin:
          type: array
          description: >
            Origin of share capital funds.

            This field is only relevant when the stakeholder is a physical
            shareholder (`shareholding_type: physical`).

            Use an empty list or omit this field if the stakeholder is not a
            physical shareholder, but a legal representative only.
          items:
            type: string
            enum:
              - personal_savings
              - donation
              - real_estate_sale
              - disposal_of_securities
              - business_sale
              - employment_or_business_income
              - dividends
              - shareholder_current_account
              - insurance_payout
              - other_origins
        legal_entities:
          type: array
          items:
            $ref: '#/components/schemas/legal_entity'
            description: >
              List of the legal entities for which this stakeholder is the legal
              representative.

              A legal entity is a company or other entity contributing to the
              share capital (not natural person).
      required:
        - capital_amount
        - is_owner
        - first_name
        - last_name
        - email
        - gender
        - phone_number
        - nationality
        - birth_date
        - birth_address
        - residence_address
    errors:
      title: Errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                properties:
                  pointer:
                    type: string
                readOnly: true
            required:
              - code
              - detail
    legal_entity:
      title: Legal Entity
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        legal_name:
          nullable: false
          type: string
          description: Legal name of this legal entity
          example: Qonto
        legal_number:
          nullable: false
          type: string
          description: SIRET number of this legal entity
          example: 123456789
        legal_country:
          nullable: true
          type: string
          description: ISO country code
          example: FR
        capital_amount:
          nullable: true
          type: string
          description: >
            The capital amount for this legal entity as legal shareholder. Note
            that this value cannot be 0.
          example: '1023.43'
        share_capital_origin:
          type: array
          description: Origin of share capital funds.
          items:
            type: string
            enum:
              - personal_savings
              - donation
              - real_estate_sale
              - disposal_of_securities
              - business_sale
              - employment_or_business_income
              - dividends
              - shareholder_current_account
              - insurance_payout
              - other_origins
      required:
        - legal_name
        - legal_number
  responses:
    400-bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
    401-unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unauthorized'
    404-not-found:
      description: >-
        Returns a not found error if the specified resource was not found or
        does not belong to the authenticated partner.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/not-found'
    500-internal-servor-error:
      description: Returns an internal server error.
  examples:
    unauthorized:
      value:
        errors:
          - code: unauthorized
            detail: You must authenticate to perform API requests
    not-found:
      value:
        errors:
          - code: not_found
            detail: The record identified by <uuid> could not be found.
  securitySchemes:
    apiKey:
      type: http
      description: >
        Bearer authorization header: `Bearer <token>`.

        To get your `<token>`, please sign up to the [Developer
        Portal](https://developers.qonto.com/).
      scheme: bearer
      bearerFormat: JWT
    qontoPartnerId:
      type: apiKey
      description: >
        API Key authorization header: `Qonto-Partner-Id: <partner_id>`.

        To get your `<partner_id>` please, sign up to the [Developer
        Portal](https://developers.qonto.com/).
      name: Qonto-Partner-Id
      in: header

````